/*
 UDPClient header file

*/

#ifndef UDPCLIENT_H
#define UDPCLIENT_H

#define rcvbuffersize 32768

#include <winsock2.h>
#include <iostream>

class UDPClient {
public:
	UDPClient();
	~UDPClient();
	bool startClient(char*, int);
	bool sendtoserver(char*);
	bool receivefromserver();
	SOCKET clientSocket;
	char buffer[rcvbuffersize];
private:
	bool initializeWinsock();
	int connectToServer(char*, int);
	void connectionError(int);
	int portnumber;
	int version;
};

#endif